=== plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jan 31 21:23:06 2012
# Project:  plugins.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile plugins.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-geoservices \
		sub-cacheprovider

geoservices/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) geoservices/ || $(MKDIR) geoservices/ 
	cd geoservices/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/geoservices/geoservices.pro -o $(MAKEFILE)
sub-geoservices-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) geoservices/ || $(MKDIR) geoservices/ 
	cd geoservices/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/geoservices/geoservices.pro -o $(MAKEFILE)
sub-geoservices: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE)
sub-geoservices-make_default: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) 
sub-geoservices-make_first: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) first
sub-geoservices-all: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) all
sub-geoservices-clean: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) clean
sub-geoservices-distclean: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) distclean
sub-geoservices-install_subtargets: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) install
sub-geoservices-uninstall_subtargets: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) uninstall
cacheprovider/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) cacheprovider/ || $(MKDIR) cacheprovider/ 
	cd cacheprovider/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/cacheprovider/cacheprovider.pro -o $(MAKEFILE)
sub-cacheprovider-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) cacheprovider/ || $(MKDIR) cacheprovider/ 
	cd cacheprovider/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/cacheprovider/cacheprovider.pro -o $(MAKEFILE)
sub-cacheprovider: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE)
sub-cacheprovider-make_default: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) 
sub-cacheprovider-make_first: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) first
sub-cacheprovider-all: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) all
sub-cacheprovider-clean: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) clean
sub-cacheprovider-distclean: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) distclean
sub-cacheprovider-install_subtargets: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) install
sub-cacheprovider-uninstall_subtargets: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: plugins.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile plugins.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile plugins.pro

qmake_all: sub-geoservices-qmake_all sub-cacheprovider-qmake_all FORCE

make_default: sub-geoservices-make_default sub-cacheprovider-make_default FORCE
make_first: sub-geoservices-make_first sub-cacheprovider-make_first FORCE
all: sub-geoservices-all sub-cacheprovider-all FORCE
clean: sub-geoservices-clean sub-cacheprovider-clean FORCE
distclean: sub-geoservices-distclean sub-cacheprovider-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-geoservices-install_subtargets sub-cacheprovider-install_subtargets FORCE
uninstall_subtargets: sub-geoservices-uninstall_subtargets sub-cacheprovider-uninstall_subtargets FORCE

sub-geoservices-check: geoservices/$(MAKEFILE)
	cd geoservices/ && $(MAKE) check
sub-cacheprovider-check: cacheprovider/$(MAKEFILE)
	cd cacheprovider/ && $(MAKE) check
check: sub-geoservices-check sub-cacheprovider-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
