=== plugins/cacheprovider/Makefile ===
#############################################################################
# Makefile for building: cacheprovider
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jan 31 21:23:06 2012
# Project:  cacheprovider.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile cacheprovider.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-gcbrowser \
		sub-gpx \
		sub-none

gcbrowser/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) gcbrowser/ || $(MKDIR) gcbrowser/ 
	cd gcbrowser/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/cacheprovider/gcbrowser/gcbrowser.pro -o $(MAKEFILE)
sub-gcbrowser-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) gcbrowser/ || $(MKDIR) gcbrowser/ 
	cd gcbrowser/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/cacheprovider/gcbrowser/gcbrowser.pro -o $(MAKEFILE)
sub-gcbrowser: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE)
sub-gcbrowser-make_default: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) 
sub-gcbrowser-make_first: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) first
sub-gcbrowser-all: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) all
sub-gcbrowser-clean: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) clean
sub-gcbrowser-distclean: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) distclean
sub-gcbrowser-install_subtargets: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) install
sub-gcbrowser-uninstall_subtargets: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) uninstall
gpx/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) gpx/ || $(MKDIR) gpx/ 
	cd gpx/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/cacheprovider/gpx/gpx.pro -o $(MAKEFILE)
sub-gpx-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) gpx/ || $(MKDIR) gpx/ 
	cd gpx/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/cacheprovider/gpx/gpx.pro -o $(MAKEFILE)
sub-gpx: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE)
sub-gpx-make_default: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) 
sub-gpx-make_first: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) first
sub-gpx-all: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) all
sub-gpx-clean: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) clean
sub-gpx-distclean: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) distclean
sub-gpx-install_subtargets: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) install
sub-gpx-uninstall_subtargets: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) uninstall
none/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) none/ || $(MKDIR) none/ 
	cd none/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/cacheprovider/none/none.pro -o $(MAKEFILE)
sub-none-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) none/ || $(MKDIR) none/ 
	cd none/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/cacheprovider/none/none.pro -o $(MAKEFILE)
sub-none: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE)
sub-none-make_default: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) 
sub-none-make_first: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) first
sub-none-all: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) all
sub-none-clean: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) clean
sub-none-distclean: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) distclean
sub-none-install_subtargets: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) install
sub-none-uninstall_subtargets: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: cacheprovider.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile cacheprovider.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile cacheprovider.pro

qmake_all: sub-gcbrowser-qmake_all sub-gpx-qmake_all sub-none-qmake_all FORCE

make_default: sub-gcbrowser-make_default sub-gpx-make_default sub-none-make_default FORCE
make_first: sub-gcbrowser-make_first sub-gpx-make_first sub-none-make_first FORCE
all: sub-gcbrowser-all sub-gpx-all sub-none-all FORCE
clean: sub-gcbrowser-clean sub-gpx-clean sub-none-clean FORCE
distclean: sub-gcbrowser-distclean sub-gpx-distclean sub-none-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-gcbrowser-install_subtargets sub-gpx-install_subtargets sub-none-install_subtargets FORCE
uninstall_subtargets: sub-gcbrowser-uninstall_subtargets sub-gpx-uninstall_subtargets sub-none-uninstall_subtargets FORCE

sub-gcbrowser-check: gcbrowser/$(MAKEFILE)
	cd gcbrowser/ && $(MAKE) check
sub-gpx-check: gpx/$(MAKEFILE)
	cd gpx/ && $(MAKE) check
sub-none-check: none/$(MAKEFILE)
	cd none/ && $(MAKE) check
check: sub-gcbrowser-check sub-gpx-check sub-none-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
