=== plugins/geoservices/Makefile ===
#############################################################################
# Makefile for building: geoservices
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jan 31 21:23:06 2012
# Project:  geoservices.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile geoservices.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-openstreetmaps \
		sub-cloudmade \
		sub-google

openstreetmaps/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) openstreetmaps/ || $(MKDIR) openstreetmaps/ 
	cd openstreetmaps/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/geoservices/openstreetmaps/openstreetmaps.pro -o $(MAKEFILE)
sub-openstreetmaps-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) openstreetmaps/ || $(MKDIR) openstreetmaps/ 
	cd openstreetmaps/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/geoservices/openstreetmaps/openstreetmaps.pro -o $(MAKEFILE)
sub-openstreetmaps: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE)
sub-openstreetmaps-make_default: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) 
sub-openstreetmaps-make_first: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) first
sub-openstreetmaps-all: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) all
sub-openstreetmaps-clean: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) clean
sub-openstreetmaps-distclean: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) distclean
sub-openstreetmaps-install_subtargets: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) install
sub-openstreetmaps-uninstall_subtargets: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) uninstall
cloudmade/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) cloudmade/ || $(MKDIR) cloudmade/ 
	cd cloudmade/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/geoservices/cloudmade/cloudmade.pro -o $(MAKEFILE)
sub-cloudmade-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) cloudmade/ || $(MKDIR) cloudmade/ 
	cd cloudmade/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/geoservices/cloudmade/cloudmade.pro -o $(MAKEFILE)
sub-cloudmade: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE)
sub-cloudmade-make_default: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) 
sub-cloudmade-make_first: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) first
sub-cloudmade-all: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) all
sub-cloudmade-clean: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) clean
sub-cloudmade-distclean: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) distclean
sub-cloudmade-install_subtargets: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) install
sub-cloudmade-uninstall_subtargets: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) uninstall
google/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) google/ || $(MKDIR) google/ 
	cd google/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/geoservices/google/google.pro -o $(MAKEFILE)
sub-google-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) google/ || $(MKDIR) google/ 
	cd google/ && $(QMAKE) /home/harbaum/cacheme-0.8.13/plugins/geoservices/google/google.pro -o $(MAKEFILE)
sub-google: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE)
sub-google-make_default: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) 
sub-google-make_first: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) first
sub-google-all: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) all
sub-google-clean: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) clean
sub-google-distclean: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) distclean
sub-google-install_subtargets: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) install
sub-google-uninstall_subtargets: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: geoservices.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile geoservices.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile geoservices.pro

qmake_all: sub-openstreetmaps-qmake_all sub-cloudmade-qmake_all sub-google-qmake_all FORCE

make_default: sub-openstreetmaps-make_default sub-cloudmade-make_default sub-google-make_default FORCE
make_first: sub-openstreetmaps-make_first sub-cloudmade-make_first sub-google-make_first FORCE
all: sub-openstreetmaps-all sub-cloudmade-all sub-google-all FORCE
clean: sub-openstreetmaps-clean sub-cloudmade-clean sub-google-clean FORCE
distclean: sub-openstreetmaps-distclean sub-cloudmade-distclean sub-google-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-openstreetmaps-install_subtargets sub-cloudmade-install_subtargets sub-google-install_subtargets FORCE
uninstall_subtargets: sub-openstreetmaps-uninstall_subtargets sub-cloudmade-uninstall_subtargets sub-google-uninstall_subtargets FORCE

sub-openstreetmaps-check: openstreetmaps/$(MAKEFILE)
	cd openstreetmaps/ && $(MAKE) check
sub-cloudmade-check: cloudmade/$(MAKEFILE)
	cd cloudmade/ && $(MAKE) check
sub-google-check: google/$(MAKEFILE)
	cd google/ && $(MAKE) check
check: sub-openstreetmaps-check sub-cloudmade-check sub-google-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
