=== plugins/cacheprovider/gcbrowser/Makefile ===
#############################################################################
# Makefile for building: libgcbrowser.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Jan 31 21:23:06 2012
# Project:  gcbrowser.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile gcbrowser.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtLocation -I../../../src -Iqsgml -I. -I.. -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = gcbrowser.cpp \
		gcparser.cpp \
		../../../src/cache.cpp \
		../../../src/cachelist.cpp \
		gchtmlparser.cpp \
		json.cpp \
		qsgml/QSgml.cpp \
		qsgml/QSgmlTag.cpp moc_gcbrowser.cpp \
		moc_gcparser.cpp \
		moc_gchtmlparser.cpp
OBJECTS       = gcbrowser.o \
		gcparser.o \
		cache.o \
		cachelist.o \
		gchtmlparser.o \
		json.o \
		QSgml.o \
		QSgmlTag.o \
		moc_gcbrowser.o \
		moc_gcparser.o \
		moc_gchtmlparser.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		gcbrowser.pro
QMAKE_TARGET  = gcbrowser
DESTDIR       = ../
TARGET        = libgcbrowser.so
TARGETD       = libgcbrowser.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: gcbrowser.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile gcbrowser.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../common.pri:
../common.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile gcbrowser.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/gcbrowser0.8.13 || $(MKDIR) .tmp/gcbrowser0.8.13 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/gcbrowser0.8.13/ && $(COPY_FILE) --parents gcbrowser.h gcparser.h ../../../src/cache.h ../../../src/cachelist.h gchtmlparser.h json.h ../../../src/cacheproviderplugin.h qsgml/QSgml.h qsgml/QSgmlTag.h .tmp/gcbrowser0.8.13/ && $(COPY_FILE) --parents gcbrowser.cpp gcparser.cpp ../../../src/cache.cpp ../../../src/cachelist.cpp gchtmlparser.cpp json.cpp qsgml/QSgml.cpp qsgml/QSgmlTag.cpp .tmp/gcbrowser0.8.13/ && (cd `dirname .tmp/gcbrowser0.8.13` && $(TAR) gcbrowser0.8.13.tar gcbrowser0.8.13 && $(COMPRESS) gcbrowser0.8.13.tar) && $(MOVE) `dirname .tmp/gcbrowser0.8.13`/gcbrowser0.8.13.tar.gz . && $(DEL_FILE) -r .tmp/gcbrowser0.8.13


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gcbrowser.cpp moc_gcparser.cpp moc_gchtmlparser.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gcbrowser.cpp moc_gcparser.cpp moc_gchtmlparser.cpp
moc_gcbrowser.cpp: gcbrowser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gcbrowser.h -o moc_gcbrowser.cpp

moc_gcparser.cpp: json.h \
		gcparser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gcparser.h -o moc_gcparser.cpp

moc_gchtmlparser.cpp: gchtmlparser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gchtmlparser.h -o moc_gchtmlparser.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

gcbrowser.o: gcbrowser.cpp gcbrowser.h \
		gcparser.h \
		json.h \
		gchtmlparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gcbrowser.o gcbrowser.cpp

gcparser.o: gcparser.cpp gcparser.h \
		json.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gcparser.o gcparser.cpp

cache.o: ../../../src/cache.cpp ../../../src/cache.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o cache.o ../../../src/cache.cpp

cachelist.o: ../../../src/cachelist.cpp ../../../src/cachelist.h \
		../../../src/cache.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o cachelist.o ../../../src/cachelist.cpp

gchtmlparser.o: gchtmlparser.cpp gchtmlparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gchtmlparser.o gchtmlparser.cpp

json.o: json.cpp json.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o json.o json.cpp

QSgml.o: qsgml/QSgml.cpp qsgml/QSgml.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o QSgml.o qsgml/QSgml.cpp

QSgmlTag.o: qsgml/QSgmlTag.cpp qsgml/QSgmlTag.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o QSgmlTag.o qsgml/QSgmlTag.cpp

moc_gcbrowser.o: moc_gcbrowser.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gcbrowser.o moc_gcbrowser.cpp

moc_gcparser.o: moc_gcparser.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gcparser.o moc_gcparser.cpp

moc_gchtmlparser.o: moc_gchtmlparser.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gchtmlparser.o moc_gchtmlparser.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/ 
	-$(INSTALL_PROGRAM) "../$(TARGET)" "$(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/$(TARGET)"
