=== plugins/cacheprovider/gpx/quazip-0.3/Makefile ===
#############################################################################
# Makefile for building: quazip
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mi. Dez 22 21:44:14 2010
# Project:  quazip.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile quazip.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-quazip \
		sub-test-unzip \
		sub-test-zip \
		sub-test-jlcompress \
		sub-test-checksum

quazip//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) quazip/ || $(MKDIR) quazip/ 
	cd quazip/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/quazip/quazip.pro -o $(MAKEFILE)
sub-quazip-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) quazip/ || $(MKDIR) quazip/ 
	cd quazip/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/quazip/quazip.pro -o $(MAKEFILE)
sub-quazip: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE)
sub-quazip-make_default: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) 
sub-quazip-make_first: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) first
sub-quazip-all: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) all
sub-quazip-clean: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) clean
sub-quazip-distclean: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) distclean
sub-quazip-install_subtargets: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) install
sub-quazip-uninstall_subtargets: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) uninstall
test/unzip//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test/unzip/ || $(MKDIR) test/unzip/ 
	cd test/unzip/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/test/unzip/unzip.pro -o $(MAKEFILE)
sub-test-unzip-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test/unzip/ || $(MKDIR) test/unzip/ 
	cd test/unzip/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/test/unzip/unzip.pro -o $(MAKEFILE)
sub-test-unzip: test/unzip//$(MAKEFILE) FORCE
	cd test/unzip/ && $(MAKE) -f $(MAKEFILE)
sub-test-unzip-make_default: test/unzip//$(MAKEFILE) FORCE
	cd test/unzip/ && $(MAKE) -f $(MAKEFILE) 
sub-test-unzip-make_first: test/unzip//$(MAKEFILE) FORCE
	cd test/unzip/ && $(MAKE) -f $(MAKEFILE) first
sub-test-unzip-all: test/unzip//$(MAKEFILE) FORCE
	cd test/unzip/ && $(MAKE) -f $(MAKEFILE) all
sub-test-unzip-clean: test/unzip//$(MAKEFILE) FORCE
	cd test/unzip/ && $(MAKE) -f $(MAKEFILE) clean
sub-test-unzip-distclean: test/unzip//$(MAKEFILE) FORCE
	cd test/unzip/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test-unzip-install_subtargets: test/unzip//$(MAKEFILE) FORCE
	cd test/unzip/ && $(MAKE) -f $(MAKEFILE) install
sub-test-unzip-uninstall_subtargets: test/unzip//$(MAKEFILE) FORCE
	cd test/unzip/ && $(MAKE) -f $(MAKEFILE) uninstall
test/zip//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test/zip/ || $(MKDIR) test/zip/ 
	cd test/zip/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/test/zip/zip.pro -o $(MAKEFILE)
sub-test-zip-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test/zip/ || $(MKDIR) test/zip/ 
	cd test/zip/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/test/zip/zip.pro -o $(MAKEFILE)
sub-test-zip: test/zip//$(MAKEFILE) FORCE
	cd test/zip/ && $(MAKE) -f $(MAKEFILE)
sub-test-zip-make_default: test/zip//$(MAKEFILE) FORCE
	cd test/zip/ && $(MAKE) -f $(MAKEFILE) 
sub-test-zip-make_first: test/zip//$(MAKEFILE) FORCE
	cd test/zip/ && $(MAKE) -f $(MAKEFILE) first
sub-test-zip-all: test/zip//$(MAKEFILE) FORCE
	cd test/zip/ && $(MAKE) -f $(MAKEFILE) all
sub-test-zip-clean: test/zip//$(MAKEFILE) FORCE
	cd test/zip/ && $(MAKE) -f $(MAKEFILE) clean
sub-test-zip-distclean: test/zip//$(MAKEFILE) FORCE
	cd test/zip/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test-zip-install_subtargets: test/zip//$(MAKEFILE) FORCE
	cd test/zip/ && $(MAKE) -f $(MAKEFILE) install
sub-test-zip-uninstall_subtargets: test/zip//$(MAKEFILE) FORCE
	cd test/zip/ && $(MAKE) -f $(MAKEFILE) uninstall
test/jlcompress//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test/jlcompress/ || $(MKDIR) test/jlcompress/ 
	cd test/jlcompress/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/test/jlcompress/jlcompress.pro -o $(MAKEFILE)
sub-test-jlcompress-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test/jlcompress/ || $(MKDIR) test/jlcompress/ 
	cd test/jlcompress/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/test/jlcompress/jlcompress.pro -o $(MAKEFILE)
sub-test-jlcompress: test/jlcompress//$(MAKEFILE) FORCE
	cd test/jlcompress/ && $(MAKE) -f $(MAKEFILE)
sub-test-jlcompress-make_default: test/jlcompress//$(MAKEFILE) FORCE
	cd test/jlcompress/ && $(MAKE) -f $(MAKEFILE) 
sub-test-jlcompress-make_first: test/jlcompress//$(MAKEFILE) FORCE
	cd test/jlcompress/ && $(MAKE) -f $(MAKEFILE) first
sub-test-jlcompress-all: test/jlcompress//$(MAKEFILE) FORCE
	cd test/jlcompress/ && $(MAKE) -f $(MAKEFILE) all
sub-test-jlcompress-clean: test/jlcompress//$(MAKEFILE) FORCE
	cd test/jlcompress/ && $(MAKE) -f $(MAKEFILE) clean
sub-test-jlcompress-distclean: test/jlcompress//$(MAKEFILE) FORCE
	cd test/jlcompress/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test-jlcompress-install_subtargets: test/jlcompress//$(MAKEFILE) FORCE
	cd test/jlcompress/ && $(MAKE) -f $(MAKEFILE) install
sub-test-jlcompress-uninstall_subtargets: test/jlcompress//$(MAKEFILE) FORCE
	cd test/jlcompress/ && $(MAKE) -f $(MAKEFILE) uninstall
test/checksum//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test/checksum/ || $(MKDIR) test/checksum/ 
	cd test/checksum/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/test/checksum/checksum.pro -o $(MAKEFILE)
sub-test-checksum-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test/checksum/ || $(MKDIR) test/checksum/ 
	cd test/checksum/ && $(QMAKE) /home/harbaum/projekte/meego/cacheme/quazip-0.3/test/checksum/checksum.pro -o $(MAKEFILE)
sub-test-checksum: test/checksum//$(MAKEFILE) FORCE
	cd test/checksum/ && $(MAKE) -f $(MAKEFILE)
sub-test-checksum-make_default: test/checksum//$(MAKEFILE) FORCE
	cd test/checksum/ && $(MAKE) -f $(MAKEFILE) 
sub-test-checksum-make_first: test/checksum//$(MAKEFILE) FORCE
	cd test/checksum/ && $(MAKE) -f $(MAKEFILE) first
sub-test-checksum-all: test/checksum//$(MAKEFILE) FORCE
	cd test/checksum/ && $(MAKE) -f $(MAKEFILE) all
sub-test-checksum-clean: test/checksum//$(MAKEFILE) FORCE
	cd test/checksum/ && $(MAKE) -f $(MAKEFILE) clean
sub-test-checksum-distclean: test/checksum//$(MAKEFILE) FORCE
	cd test/checksum/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test-checksum-install_subtargets: test/checksum//$(MAKEFILE) FORCE
	cd test/checksum/ && $(MAKE) -f $(MAKEFILE) install
sub-test-checksum-uninstall_subtargets: test/checksum//$(MAKEFILE) FORCE
	cd test/checksum/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: quazip.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile quazip.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile quazip.pro

qmake_all: sub-quazip-qmake_all sub-test-unzip-qmake_all sub-test-zip-qmake_all sub-test-jlcompress-qmake_all sub-test-checksum-qmake_all FORCE

make_default: sub-quazip-make_default sub-test-unzip-make_default sub-test-zip-make_default sub-test-jlcompress-make_default sub-test-checksum-make_default FORCE
make_first: sub-quazip-make_first sub-test-unzip-make_first sub-test-zip-make_first sub-test-jlcompress-make_first sub-test-checksum-make_first FORCE
all: sub-quazip-all sub-test-unzip-all sub-test-zip-all sub-test-jlcompress-all sub-test-checksum-all FORCE
clean: sub-quazip-clean sub-test-unzip-clean sub-test-zip-clean sub-test-jlcompress-clean sub-test-checksum-clean FORCE
distclean: sub-quazip-distclean sub-test-unzip-distclean sub-test-zip-distclean sub-test-jlcompress-distclean sub-test-checksum-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-quazip-install_subtargets sub-test-unzip-install_subtargets sub-test-zip-install_subtargets sub-test-jlcompress-install_subtargets sub-test-checksum-install_subtargets FORCE
uninstall_subtargets: sub-quazip-uninstall_subtargets sub-test-unzip-uninstall_subtargets sub-test-zip-uninstall_subtargets sub-test-jlcompress-uninstall_subtargets sub-test-checksum-uninstall_subtargets FORCE

sub-quazip-check: quazip/$(MAKEFILE)
	cd quazip/ && $(MAKE) check
sub-test-unzip-check: test/unzip/$(MAKEFILE)
	cd test/unzip/ && $(MAKE) check
sub-test-zip-check: test/zip/$(MAKEFILE)
	cd test/zip/ && $(MAKE) check
sub-test-jlcompress-check: test/jlcompress/$(MAKEFILE)
	cd test/jlcompress/ && $(MAKE) check
sub-test-checksum-check: test/checksum/$(MAKEFILE)
	cd test/checksum/ && $(MAKE) check
check: sub-quazip-check sub-test-unzip-check sub-test-zip-check sub-test-jlcompress-check sub-test-checksum-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
