=== debian/changelog ===
cacheme (0.8.13-1) unstable; urgency=low

  * tool infrastructure
  * rot/rot13 tool
  * GPS and map center selectable in coordinate tool
  * Adjust/reduce settings dialog spacing
  * coordinate projection tool
  * fix "many caches" cpu load problem on mobile

 -- Till Harbaum <till@harbaum.org>  Tue, 22 Nov 2011 18:45:29 +0100
