=== debian/control ===
Source: cacheme
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <till@harbaum.org>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-12-dev, libx11-dev, zlib1g-dev
Standards-Version: 3.7.2

Package: cacheme
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Online geocaching application
 CacheMe is an online geocaching application written in Qt.
XB-Description-de_DE: Online-Geocaching-Anwendung
 CacheMe ist eine Online-Geocaching-Anwendung geschrieben in Qt.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2062
XB-Maemo-Display-Name: CacheMe
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAITgAACE4BjDEA7AAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAp7SURBVGiBzVprcFRFGj197507z8xkEvIi
 LCSCRFwgYgRZYTdYIIJaQFweUlqriIoWPniEhQ0IoqAJiutioSUKKGoCWFpi
 7RpcFMi6CgJqQhYCbCRACBnymEwyk8zcR3fvj5AsSWYmiQnGU9U1M327+54z
 X399v+7vEs45eop3D641MQtNIRCjCYzRRIATjEQKohgJAIxSDwTu4Qx1HEot
 B60VmsTTD01YE+jpvUl3BXz43et2jfrmGI3G0YSIwwhBMuFCPAMVOWfgnINz
 Bg4OxhkAQCACCAgIEUBI86cAkXLCXJyjjHNaoijKUYNo23X/rU81XBMB2w+v
 m2SWLEtF0ZCu6gGzxlRQpndLfCiIggSDIEOWTH5KtQK/3rRx3thVX3alb6cC
 thx6fpbdEJHDwZL9WhMYp71COhQEIsJssIBAKGvQvMsf+93qj8K1DymAgJD3
 Dr/4FiHS/Ca1QbgmbDuBRbYzzvWtD47NWsARnGhQAa99sTIh2uHID2j+VFVX
 rjnRcJAlI0wGc1Ftff3URXeur2x/XWpfQUDINttL+fWNdaktTtiX8NMmKGog
 1WFz5BOQUe0t0cECWw6ufVuj6iOq3uMVrlchSyYYRPmdxyasefTq+jYCNh1Y
 OdugS3mNWn2fzPnOYDU4mCbpc5++ff3ulro2U8hAxeyGgPtXSR4AGqhbsJud
 2QBaBbRaYNPe5RMZxZeNqrev+HUJVjkCMAgTF01+aT/QxgJCpi/gwbVyXKPB
 DALS5faMUwRbAX2BBtjFyGUA9gNXLLDhm+URYi273OB3m3uNMZqfsLcMTsf4
 YVNhFCzoTtgiiiLKqk/iw683dbhmN0f5abQQ9+dxOd5mC1Qrs/2qaqa0d/59
 QghSB43FxJEZKDp2Aum/n4DC7493YwDAYjPhZPEp9Hcmo7zmpzaX/YFGs1wt
 zwawtVmAQMYENH+vxDY3DBiFO0fNgutcLWZmzMaxH44i5W4HZjw8DB4/QzAb
 EADRNhFVJ3w4tsMFg1kAUwgqKyshi0ZQ2pZXgPshm4xjWgUwnd+oaj174ibF
 peCutLmgXhFPLViEz/M/x9A7nbhj/UC4fBTFFwNgQdjbLSIS7RK+fvU83Of8
 GHlvHFImR6Fg/WUAAGMMlLaNvyilYDq/EbjixKqqJrdv1FUkRA3E3bfMRZSc
 iNVrnsX77+/AdX9wYsqLyXBrDMcvKtBpR+ayRDAoVsalr9zY90UtYlOsuCf7
 eliiDKg+04T66kaYzWaobqWDgBbOAECe2/6QSRcMvga/W+wO8eiIWNw1ei6u
 jx2JDS/n4LW/vYbf3GLHsGmRaBQJymtUKFpH4oQA8U4DLF6Kw29ehK5RjH04
 Ef1TI6D4KH7IrcSFYw14Nms1nl66EC/kLQRlHQXYzVFUYppNomY9RfMxsasW
 iLBEYkraLIweMgFvvvEmJq67G/2uN+H2rAHgDgmlVSoaleCLgd0iYlC0hO+3
 XILrpA8pk/pheEY/SAYBP31dh6KdVZg+LQN6+SFMnz4duQffgKqpQcfSNEUk
 NpYiUSJEabrWwVHawyRbMPnme5E+4h7sytuNOVOSYXBSjH0yBuYBJpyvVlFf
 Hjx+apku7qP12JtdBXu8EVPWDoajvxH1FQq+e6cCFkThyy8OYNy4cUhKSgIA
 NPobQvLSdA0iMURJXBOjdd0fdJ61YNSQ2/CnSU9j3979GPnASPg0N4bd50D8
 8Ahccmu4eKl5ATDLHaMQp02EQwe+yT6HJreKtAcScN14J3SV4cedLpwtaMBz
 q59DZuYySFLb4DiYA7dA13VwzRQtgenOZgsEb2g2WjHztkcxYsQIXLhQDlES
 YImUUbizCkBVSNEtuKAy+OtVDBrjxB0rkyFbRVQUenHsPRfGpI3F3lM7MHDg
 wKB9KQ0tQCMawHSnpDPu0HUNuh68YWxsIiouVKKy0oXUmfGdEm6P0gNuJN/m
 xJh5/dHk1vDtWxcRqBSR++5uTJs2LWxfSmlIXiI06Iw7JM54pB7GAow1O6TF
 ZsINk6O7LaCy2AtCgJL8Gpz8rBaPL3gc69e9BKvV2mnfsFMIGjjjkRJjDDql
 IZ2FXRnA36jg5D+qwXSOmtKmoE/UFhAA/YZYIEgEvmoVrv/4MDz1tzh2ZB+G
 Dx8elrSqqlBVtfXeoXjpEMEYg8AY9XDGr8y3jqW8qgzJg5Mwf94jOPFZDXzH
 rXCVNMIeZwxZXCWN8BZZUPlvDpnakLNhA4p+KO6U/MGDB5GamorBgwcjITEO
 5y+fDcmLMw7GqEfilNYzykIqbWj0YMe+TVi6JBPv7/gAp0+dQUJiHBJvjkBU
 Usfg1X3Oj9rjHGdO/xerVq1CQUEBlmUuC0u8qqoKmZmZyM/PR05ODmbOuReb
 P10HX1N9yD6MMHBK6yWN8TrGeNhl9GzFKeDm5u+SJCHrL6uwYsXyoOExIQTZ
 2TkdlsRg4Jxjy5YtyMrKwowZM1BSUoLC899i4V//CG8Y8gDABA6N8ToJ0GvD
 OQvwf0duweJFi7F40eJOCYZDYWEhnnjiCfh8PuzZswcDhsRhw0fLUHKusEv9
 mcgA6LUCpYqbUQZdp6FLL+0TAMDr9WLJkiVIT09HRkYGvj38DU7VHcGTG2ej
 uPT78DyuKs3TXnFLils5zRmhlNKQwRz7mZFqe3z88cd45plnkJaWhuLiYpR7
 zuDxlzNQ7XF1eyzOCFXcymlp+5oDgTmrJrgo1RNDNWZBosHuoKysDAsXLsSJ
 EyewefNm3Do+Da9/9AIOnzj4s8cUJdG1fc2BgAQAsiyVUUpDCmjxD845PB5P
 l2+iKApKS0tx0003YcGCBcjNy8XfD+XhwedXQtF6dnAmy1IZcGVDQyRyEoyM
 pzz4UurxuuFwOOBwOBAf3/VwgnOOoUOHIi8vD6rBiydfnYnzrp8679gJRCI1
 c24RIBDhCIHwWKi4o6KqHP889gnOlp2FJHa+PF6NSzXlePvTjdh76JOe8m6F
 ZJAhEOEIcOVYZf626RGXfjx/2e2rDnusIokSBKFbGzf0dK8dDFG2GH//UYPi
 tj68x9t6Mjfn2T/kX6g4N+VaJzB6CoGIGJiYtHfXC/+aCgCtOxCz2fSK2dB5
 hNjXMBusMFrNL7f8bnM6PT1zzFlXbUVynzDrIuKjE8v2vHLkupbfbfaA1ijb
 CpvR0fdZjRCwGR3MGmVbcXVdGwG5Wft3x8TGbpMl0y/LrAuQJRNiYmO35Wbt
 3311fYcMDQEhM5aP/dFVXZH6a3FogYiIj0ks+jTncIcUU4djBA7ObQ7H1ISY
 xKJfgyVkyYSEmMQim8MxNVimMmya9b616W9VV1bN9yp9k3KKMDpYTELs1p1r
 CrqXZr0a92dPnOWr8eV4vQ3Jfq3xF0p0WxERYS+z9bMt/3DFVz8v0d0eD667
 Y1IgEFjq8XjTA0rjNXnVwGS0+iMjIwpMJtPG91bt651XDdrjgdfvsqNOmUM5
 Ha0G9GFKIJCsKmq8zvRuvewhCRKVjbLLaDKVySapRCTiUTiNuz546vNr87JH
 OMxbe7tJN+kplAvRhErRINzJKSLBEdl8F3iICA84qeOiXisSVisFpNPb1xzo
 cTL6f5nnaqiLldpIAAAAAElFTkSuQmCC
